SDL_UpdateRect(3)

NAME
SDL_UpdateRect- Makes sure the given area is updated on the given screen.

SYNOPSIS

#include "SDL.h"

void SDL_UpdateRect(SDL_Surface *screen, Sint32 x, Sint32 y, Sint32 w, Sint32 h);

DESCRIPTION

Makes sure the given area is updated on the given screen.

If 'x', 'y', 'w' and 'h' are all 0, SDL_UpdateRect will update the entire screen.

This function should not be called while 'screen' is locked.

SEE ALSO

SDL_UpdateRects, SDL_Rect, SDL_Surface, SDL_LockSurface